anim8 = require("anim8/anim8")
local bump = require("bump/bump")
local camera = require("STALKER-X-master/Camera")
love.graphics.setDefaultFilter("nearest", "nearest")
require("player")
local STI = require("sti")
level = require("Maps/LaunchPad")

function levelLoader(level)
    Map = STI(level)
    local objects = level.layers["solids"].objects
    for i = 1, #objects do
        local obj = objects[i]
        obj.Wall = true
        world:add(obj, obj.x, obj.y, obj.width, obj.height)
    end
end

function love.load()
    world = bump.newWorld()
    Player:load()
    levelLoader(level)
    cam = camera()
    cam:setFollowLerp(2)
end

function love.update(dt)
    local dx, dy = Player.x - cam.x, Player.y - cam.y
    Player:update(dt)
    cam:update(dt)
    cam:follow(Player.x, Player.y)
end

function love.draw()
    cam:attach()
        Map:drawLayer(Map.layers["tiles"])
        --currAnim:draw(Player.img, Player.x, Player.y, nil, Player.factor * Player.zoom, Player.zoom, 4, 8)
        Player:draw()
    cam:detach()
end