Player = {}

function Player:load()
    self.x = 216
    self.y = 112
    self.h = 50
    self.w = 30
    self.xVel = 0
    self.yVel = 0
    self.acc = 500
    self.fric = 1000
    self.img = love.graphics.newImage("Sprites/SpaceShip.png")
    world:add(self, self.x - self.w * 0.5, self.y - self.h, self.w, self.h)
    Player:animation()
end

function Player:animation()
    local g = anim8.newGrid(16, 25, self.img:getWidth(), self.img:getHeight())
    idle = anim8.newAnimation(g(1, 1), 0.1)
    fly = anim8.newAnimation(g("2-3", 1), 0.1)
    turnLeft = anim8.newAnimation(g("4-6", 1), 0.1)
    turnRight = anim8.newAnimation(g("8-10", 1), 0.1)
    currAnim = idle
end

function Player:collide(dt)
    local finalX = self.x - self.w * 0.5 + self.xVel * dt
    local finalY = self.y - self.h + self.yVel * dt

    local actualX, actualY, cols, len = world:move(self, finalX, finalY)
    --Collision checking stuff

    self.x = actualX + self.w * 0.5
    self.y = actualY + self.h
end

function Player:move(dt)
    if love.keyboard.isScancodeDown("w") then
        if self.yVel > -500 then
            self.yVel = self.yVel - self.acc * dt
        end
    elseif love.keyboard.isScancodeDown("a") then
        if self.xVel > -500 then
            self.xVel = self.xVel - self.acc * dt
        end
    elseif love.keyboard.isScancodeDown("d") then
        if self.xVel < 500 then
            self.xVel = self.xVel + self.acc * dt
        end
    elseif love.keyboard.isScancodeDown("s") then
        if self.yVel < 500 then
            self.yVel = self.yVel + self.acc * dt
        end
    else
        self.yVel = 0
        self.xVel = 0
    end
end

function Player:update(dt)
    currAnim:update(dt)
    Player:move(dt)
    Player:collide(dt)
end

function Player:draw()
    currAnim:draw(self.img, self.x, self.y, nil, 2, 2, 8, 25)
end